Bug 201241 - [PATCH] mail/opensmtpd: Update to 5.7.1p1
Summary: [PATCH] mail/opensmtpd: Update to 5.7.1p1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-07-01 07:37 UTC by Bernard Spil
Modified: 2015-07-15 15:56 UTC (History)
2 users (show)

See Also:
ashish: maintainer-feedback+


Attachments
svn diff for mail/opensmtpd (2.59 KB, patch)
2015-07-01 07:37 UTC, Bernard Spil
no flags Details | Diff
poudrier build log of mail/opensmtpd (135.74 KB, text/plain)
2015-07-05 15:47 UTC, Bernard Spil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-07-01 07:37:19 UTC
Created attachment 158210 [details]
svn diff for mail/opensmtpd

Hi Ashish,

Created a patch to update OpenSMPTd to 5.7.1

table_db is now a configure knob so added as an option and using OPTIONS_SUB for the files.
Comment 1 Ashish SHUKLA freebsd_committer 2015-07-04 14:47:24 UTC
Hi,

Sorry for the delay.

The diff looks good to me, except I don't understand the point of moving CA_BUNDLE_* lines, and also it's a typo in the name of ca_root_nss port, so I've just ignored that part. Other than it looks perfect, works fine on my 10.x host, thus have my approval.

I'll do a test build and commit it.

Thanks for working on it.

Ashish
Comment 2 Bernard Spil freebsd_committer 2015-07-05 15:32:57 UTC
Hi Ashish,

Not a problem, not in a hurry!

As far as I know, options should be alphabetically sorted, that's the only reason for the re-ordering.

Just now I ran into an issue with 5.7.1, I don't know (yet) what caused it but some QA is in place. I had enabled PAM and that was working before with 5.4.6. With 5.7.1 I got
   501 5.5.2 Syntax error: Syntax error
whatever I did. Reverting back to 5.4.6 solved that (but was complaining that /var/spool/smtpd/purge wasn't 700)

Kind regards,

Bernard
Comment 3 Bernard Spil freebsd_committer 2015-07-05 15:47:06 UTC
Created attachment 158379 [details]
poudrier build log of mail/opensmtpd
Comment 4 Ashish SHUKLA freebsd_committer 2015-07-06 10:35:24 UTC
(In reply to Bernard Spil from comment #2)

> Just now I ran into an issue with 5.7.1, I don't know (yet) what caused it but some QA is in place. I had enabled PAM and that was working before with 5.4.6. With 5.7.1 I got
>   501 5.5.2 Syntax error: Syntax error
> whatever I did. Reverting back to 5.4.6 solved that (but was complaining that /var/spool/smtpd/purge wasn't 700)

Hi Bernard,

Could you provide more details on this issue, or your configuration, so I can try to reproduce it my end ?

If configuration is not suitable for public report, then can email to ashish@ .

Thanks!
Ashish
Comment 5 Johannes Jost Meixner freebsd_committer 2015-07-13 17:26:26 UTC
Random and offtopic:

Can someone reproduce this behavior with 5.7.1, or was it fixed already?

https://github.com/OpenSMTPD/OpenSMTPD/issues/617
Comment 6 commit-hook freebsd_committer 2015-07-15 15:53:35 UTC
A commit references this bug:

Author: ashish
Date: Wed Jul 15 15:53:22 UTC 2015
New revision: 392161
URL: https://svnweb.freebsd.org/changeset/ports/392161

Log:
  - Update to 5.7.1p1
  - Add TABLE_DB option to add support for aliases db
  - Sort options in alphabetical order

  PR:		201241
  Submitted by:	brnrd

Changes:
  head/mail/opensmtpd/Makefile
  head/mail/opensmtpd/distinfo
  head/mail/opensmtpd/pkg-plist
Comment 7 Ashish SHUKLA freebsd_committer 2015-07-15 15:56:11 UTC
Thanks for providing the diff, it's committed now.

(In reply to Johannes Jost Meixner from comment #5)

> Can someone reproduce this behavior with 5.7.1, or was it fixed already?

This issue is reproducible with 5.7.1p1 as well.

Thanks for reporting to upstream.